CREATE DATABASE storelocator
GO

USE storelocator
GO

CREATE TABLE [STORE_TABLE] (
	[ID] [int] IDENTITY (1, 1) NOT NULL ,
	[ZIPCODE] [varchar] (7) NOT NULL ,
	[NAME] [varchar] (100) NULL ,
	[ADDRESS1] [varchar] (255) NULL ,
	[ADDRESS2] [varchar] (255) NULL ,
	[CITY] [varchar] (100) NULL ,
	[STATE] [varchar] (100) NULL ,
	[COUNTRY] [varchar] (100) NULL ,
	[TELNO] [varchar] (15) NULL ,
	[FAXNO] [varchar] (15) NULL ,
	[EMAIL] [varchar] (100) NULL ,
	[WEBSITE] [varchar] (255) NULL ,
	[CUSTOM1] [varchar] (255) NULL ,
	[CUSTOM2] [varchar] (255) NULL ,
	[CUSTOM3] [varchar] (255) NULL ,
	[CUSTOM4] [varchar] (255) NULL ,
	[CUSTOM5] [varchar] (255) NULL ,
	[HIDDEN] [int] NOT NULL ,
	[PREFERRED] [int] NOT NULL ,
	[USERID] [int] NOT NULL ,
	PRIMARY KEY (ID)
)
GO

CREATE TABLE [USER_TABLE] (
	[USERID] [int] IDENTITY (1, 1) NOT NULL ,
	[USERNAME] [varchar] (50) NULL ,
	[USERPASSWORD] [varchar] (50) NULL ,
	[ISACTIVE] [int] NULL ,
	PRIMARY KEY (USERID)
)
GO

CREATE TABLE [CONFIGURATION_TABLE] (
	[EMAIL] [varchar] (50) NULL ,
	[NAME] [varchar] (50) NULL ,
	[WEBSITETITLE] [varchar] (50) NULL ,
	[HEADINGTEXT] [varchar] (50) NULL ,
	[DEFAULTRADIUS] [int] NULL ,
	[DEFAULTMAXRECORD] [int] NULL ,
	[MEASUREMENT] [varchar] (10) NULL ,
	[STOREHEADER] [varchar] (50) NULL ,
	[DISTANCEHEADER] [varchar] (50) NULL ,
	[ENABLEZIPCODE] [int] NULL ,
	[ENABLENAME] [int] NULL ,
	[ENABLEADDRESS1] [int] NULL ,
	[ENABLEADDRESS2] [int] NULL ,
	[ENABLECITY] [int] NULL ,
	[ENABLESTATE] [int] NULL ,
	[ENABLECOUNTRY] [int] NULL ,
	[ENABLETELNO] [int] NULL ,
	[ENABLEFAXNO] [int] NULL ,
	[ENABLEEMAIL] [int] NULL ,
	[ENABLEWEBSITE] [int] NULL ,
	[ENABLECUSTOM1] [varchar] (50) NULL ,
	[ENABLECUSTOM2] [varchar] (50) NULL ,
	[ENABLECUSTOM3] [varchar] (50) NULL ,
	[ENABLECUSTOM4] [varchar] (50) NULL ,
	[ENABLECUSTOM5] [varchar] (50) NULL ,
	[MAPQUEST] [varchar] (50) NULL ,
	[YAHOOMAP] [varchar] (50) NULL ,
	[GOOGLEMAP] [varchar] (50) NULL ,
	[SHOWMAP] [int] NULL ,
	[NEWPAGE] [int] NULL ,
	[MAPTEXT] [varchar] (50) NULL ,
	[ACTIVE] [int] NULL ,
	[ADMINMAXRECORD] [int] NULL ,
	[FRONTENDMAXRECORD] [int] NULL ,
	[ODDCOLOR] [varchar] (50) NULL ,
	[EVENCOLOR] [varchar] (50) NULL ,
	[HEADERCOLOR] [varchar] (50) NULL,
	[LOGOLINK] [varchar] (100) NULL,
	[CUSTOMDISTANCE] [varchar] (200) NULL,
	[CUSTOMMAXRECORD] [varchar] (200) NULL,
	[CUSTOMZIPCODE] [varchar] (200) NULL,
	[CUSTOMGO] [varchar] (200) NULL,
	[CUSTOMADVANCESEARCH] [varchar] (200) NULL,
	[CUSTOMBASICSEARCH] [varchar] (200) NULL,
	[CUSTOMCITY] [varchar] (200) NULL,
	[CUSTOMSTATE] [varchar] (200) NULL,
	[CUSTOMMILES] [varchar] (200) NULL,
	[CUSTOMKILOMETERS] [varchar] (200) NULL,
	[CUSTOMSORTBY] [varchar] (200) NULL,
	[CUSTOMSORTDISTANCE] [varchar] (200) NULL,
	[CUSTOMSORTNAME] [varchar] (200) NULL,
	[CUSTOMSORTADDRESS] [varchar] (200) NULL,
	[CUSTOMSORTCITY] [varchar] (200) NULL,
	[CUSTOMSORTSTATE] [varchar] (200) NULL,
	[CUSTOMSORTCOUNTRY] [varchar] (200) NULL,
	[CUSTOMDISTANCERANGE] [varchar] (200) NULL,
	[CUSTOMMAXRECORDRANGE] [varchar] (200) NULL,
	[CUSTOMTELNO] [varchar] (200) NULL,
	[CUSTOMFAXNO] [varchar] (200) NULL,
	[CUSTOMWEBSITE] [varchar] (200) NULL,
	[CUSTOMEMAIL] [varchar] (200) NULL,
	[USERID] [int] NOT NULL
)
GO

CREATE TABLE [COUNTRY_TABLE] (
	[COUNTRY_CODE] [varchar] (2) NOT NULL ,
	[COUNTRY_NAME] [varchar] (100) NULL ,
	PRIMARY KEY (COUNTRY_CODE)
)
GO

INSERT INTO USER_TABLE (USERNAME, USERPASSWORD, ISACTIVE)
VALUES ('admin', '12345', 1)
GO

INSERT INTO CONFIGURATION_TABLE (EMAIL, NAME, WEBSITETITLE, HEADINGTEXT, DEFAULTRADIUS, DEFAULTMAXRECORD, MEASUREMENT, STOREHEADER, DISTANCEHEADER, 
                      ENABLEZIPCODE, ENABLENAME, ENABLEADDRESS1, ENABLEADDRESS2, ENABLECITY, ENABLESTATE, ENABLECOUNTRY, ENABLETELNO, 
                      ENABLEFAXNO, ENABLEEMAIL, ENABLEWEBSITE, ENABLECUSTOM1, ENABLECUSTOM2, ENABLECUSTOM3, ENABLECUSTOM4, ENABLECUSTOM5, 
                      MAPQUEST, YAHOOMAP, GOOGLEMAP, SHOWMAP, NEWPAGE, MAPTEXT, ACTIVE, ADMINMAXRECORD, FRONTENDMAXRECORD, ODDCOLOR, 
                      EVENCOLOR, HEADERCOLOR, LOGOLINK, CUSTOMDISTANCE, CUSTOMMAXRECORD, CUSTOMZIPCODE, CUSTOMGO, CUSTOMADVANCESEARCH,
                      CUSTOMBASICSEARCH, CUSTOMCITY, CUSTOMSTATE, CUSTOMMILES, CUSTOMKILOMETERS, CUSTOMSORTBY, CUSTOMSORTDISTANCE,
                      CUSTOMSORTNAME, CUSTOMSORTADDRESS, CUSTOMSORTCITY, CUSTOMSORTSTATE, CUSTOMSORTCOUNTRY, CUSTOMDISTANCERANGE, CUSTOMMAXRECORDRANGE,
                      CUSTOMTELNO, CUSTOMFAXNO, CUSTOMWEBSITE, CUSTOMEMAIL, USERID)
VALUES ('sales@zipcodeworld.com', 'ZIPCodeWorld', 'www.zipcodeworld.com', 'ZIPCodeWorld', 50, 50, 'miles', 'Store', 'Header', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
                      1, '', '', '', '', '', 'www.mapquest.com/maps/map.adp', 'maps.yahoo.com/maps_result', 'map.google.com/', 1, 1, 'Show Map', 1, 50, 50, '#FFFFEE', 
                      '#FFFFFF', '#FFFFFF','','Search within','Number record display','ZIP Code','Go','Advance Search','Basic Search','City','State','Miles','Kilometers',
		                  'Sort By','Distance','Name','Address','City','State','Country','5,10,25,50,100,250','5,10,25,50,100,250','Tel No.','Fax No.','WEB SITE','Email',1)
GO

BULK INSERT COUNTRY_TABLE
FROM '<Your Web Directory>\Database\country.txt' 
WITH 
( 
	FIELDTERMINATOR = '\t', 
        ROWTERMINATOR = '\n' 
)
GO